Infra APIUsage

Get usage history

Returns paginated VM compute usage sessions

GET/api/v1/usage

Returns paginated VM compute usage sessions

Authorization

BearerAuth
AuthorizationBearer <token>

Supabase JWT Bearer token

In: header

Query Parameters

limit?integer

Page size (default 50)

offset?integer

Offset (default 0)

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/usage"
{  "limit": 0,  "offset": 0,  "sessions": [    {      "cost_per_hour": 0,      "duration_minutes": 0,      "end_reason": "string",      "ended_at": "string",      "id": 0,      "memory_mb": 0,      "started_at": "string",      "total_cost_billed": 0,      "vcpu_count": 0,      "vm_id": "string"    }  ]}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}